Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class ResizeConstraintsImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.ResizeConstraintsImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, Attributes, ResizeConstraints

    public class ResizeConstraintsImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements ResizeConstraints

An implementation of the model object 'Resize Constraints'.

The following features are implemented:

- `Resize Handles`
- `Non Resize Handles`
- `Resize Handle Names`
- `Non Resize Handle Names`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static int` `NON_RESIZE_HANDLES_EDEFAULT` The default value of the '`Non Resize Handles`' attribute
`protected int` `nonResizeHandles` The cached value of the '`Non Resize Handles`' attribute
`protected static int` `RESIZE_HANDLES_EDEFAULT` The default value of the '`Resize Handles`' attribute
`protected int` `resizeHandles` The cached value of the '`Resize Handles`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `ResizeConstraintsImpl()`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<java.lang.String>` `getNonResizeHandleNames()` XXX Actually, we make no use of non-resize handles, perhaps, should remove them from model (to use them, need to override method createSelectionHandles() in editPolicy class returned from getPrimaryDragEditPolicy, and use NonResizableHandleKit.addHandle.
`int` `getNonResizeHandles()`
`org.eclipse.emf.common.util.EList<java.lang.String>` `getResizeHandleNames()`
`int` `getResizeHandles()`
`void` `setNonResizeHandles(int newNonResizeHandles)`
`void` `setResizeHandles(int newResizeHandles)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### RESIZE_HANDLES_EDEFAULT

    protected static final int RESIZE_HANDLES_EDEFAULT

  The default value of the '`Resize Handles`' attribute.

  See Also:
    `getResizeHandles()`, Constant Field Values
  ** Generated **
  Ordered:

### resizeHandles

    protected int resizeHandles

  The cached value of the '`Resize Handles`' attribute.

  See Also:
    `getResizeHandles()`
  ** Generated **
  Ordered:

### NON_RESIZE_HANDLES_EDEFAULT

    protected static final int NON_RESIZE_HANDLES_EDEFAULT

  The default value of the '`Non Resize Handles`' attribute.

  See Also:
    `getNonResizeHandles()`, Constant Field Values
  ** Generated **
  Ordered:

### nonResizeHandles

    protected int nonResizeHandles

  The cached value of the '`Non Resize Handles`' attribute.

  See Also:
    `getNonResizeHandles()`
  ** Generated **
  Ordered:

Constructor Detail

### ResizeConstraintsImpl

    protected ResizeConstraintsImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`
  ** Generated **

### getResizeHandles

    public int getResizeHandles()

  Specified by:
    `getResizeHandles` in interface `ResizeConstraints`
  Returns:
    the value of the 'Resize Handles' attribute.
  See Also:
    `ResizeConstraints.setResizeHandles(int)`, `GMFGenPackage.getResizeConstraints_ResizeHandles()`
  ** Generated **

### setResizeHandles

    public void setResizeHandles(int newResizeHandles)

  Specified by:
    `setResizeHandles` in interface `ResizeConstraints`
  Parameters:
    `newResizeHandles` - the new value of the 'Resize Handles' attribute.
  See Also:
    `ResizeConstraints.getResizeHandles()`
  ** Generated **

### getNonResizeHandles

    public int getNonResizeHandles()

  Specified by:
    `getNonResizeHandles` in interface `ResizeConstraints`
  Returns:
    the value of the 'Non Resize Handles' attribute.
  See Also:
    `ResizeConstraints.setNonResizeHandles(int)`, `GMFGenPackage.getResizeConstraints_NonResizeHandles()`
  ** Generated **

### setNonResizeHandles

    public void setNonResizeHandles(int newNonResizeHandles)

  Specified by:
    `setNonResizeHandles` in interface `ResizeConstraints`
  Parameters:
    `newNonResizeHandles` - the new value of the 'Non Resize Handles' attribute.
  See Also:
    `ResizeConstraints.getNonResizeHandles()`
  ** Generated **

### getResizeHandleNames

    public org.eclipse.emf.common.util.EList<java.lang.String> getResizeHandleNames()

  Specified by:
    `getResizeHandleNames` in interface `ResizeConstraints`
  Returns:
    the value of the 'Resize Handle Names' attribute list.
  See Also:
    `GMFGenPackage.getResizeConstraints_ResizeHandleNames()`
  ** Generated **
    NOT

### getNonResizeHandleNames

    public org.eclipse.emf.common.util.EList<java.lang.String> getNonResizeHandleNames()

  XXX Actually, we make no use of non-resize handles, perhaps, should remove them from model (to use them, need to override method createSelectionHandles() in editPolicy class returned from getPrimaryDragEditPolicy, and use NonResizableHandleKit.addHandle. It's too much code (which is different from simple setResizeDirections(int), thus, not supported, at least now

  Specified by:
    `getNonResizeHandleNames` in interface `ResizeConstraints`
  Returns:
    the value of the 'Non Resize Handle Names' attribute list.
  See Also:
    `GMFGenPackage.getResizeConstraints_NonResizeHandleNames()`
  ** Generated **
    NOT

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.